package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdContractItem;
import com.xmomen.module.base.entity.CdContractItemExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdContractItemMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdContractItemExample example);

    // 根据条件删除记录
    int deleteByExample(CdContractItemExample example);

    // 插入记录
    int insertSelective(CdContractItem record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdContractItem record, @Param("example") CdContractItemExample example);
}